import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import K8sgptLogoLight from './K8SgptLogoLight';
import K8sgptLogoDark from './K8SgptLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const K8sgptLogoSvg = forwardRef(function K8sgptLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(K8sgptLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(K8sgptLogoLight, Object.assign({}, props, { ref: ref })));
});
export default K8sgptLogoSvg;
